
ctools - Bug #1488

ExpCutoff model produces a photon rate exceeded a maximum allowed value

06/29/2015 01:00 PM - Burtovoi Aleksandr

Status: Closed Start date: 06/29/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.2.0   

Description

I use gammalib-0.10.0 and ctools-0.9.0.

Simulating 'ExpCutoff' spectral model (for both the poin-like and diffuse sources, type="SpatialMap"), I obtain the following error:

terminate called after throwing an instance of 'GException::invalid_value'

what():  *** ERROR in ctobssim::simulate_source(GCTAObservation*, GModels&, GRan&, GLog*):

Invalid value. Photon rate 2.98098e+25 photons/sec for model "test point source" exceeds maximum allowed photon rate of 1e+06

 photons/sec.

Please check the model parameters for model "test point source" or increase the value of the hidden "maxrate" parameter.

Aborted (core dumped)

Spectral model is the following:

<spectrum type="ExpCutoff">

  <parameter name="Prefactor" scale="1e-16" value="1.0"  min="1e-03" max="1000.0" free="1"/>

  <parameter name="Index"     scale="-1"    value="2.5" min="0.0"   max="+5.0"   free="1"/>

  <parameter name="Cutoff"    scale="1e6"   value="1.0"  min="0.01"  max="1000.0" free="1"/>

  <parameter name="Scale"     scale="1e6"   value="0.3"  min="0.01"  max="1000.0" free="0"/>

</spectrum>

History

#1 - 07/04/2015 01:59 AM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

Can you post the full XML model and also the ctobssim parameters so that I can reproduce the problem?

#2 - 07/06/2015 02:58 PM - Burtovoi Aleksandr

- File test.xml added

- File VelaX.fits added

The spectral model is attached in test.xml.

I performed simulations for both point source and diffuse source (VelaX.fits spatial map is attached).

I used standard prod2-South_50h IRF.

Other ctobssim parameters are the following:

$ ctobssim

RA of pointing (degrees) (0-360) [128.75]

Dec of pointing (degrees) (-90-90) [-45.6]

Radius of FOV (degrees) (0-180) [3.5]

Start time (MET in s) [0.0]
End time (MET in s) [191160]

Lower energy limit (TeV) [0.1]

Upper energy limit (TeV) [100.0]

Calibration database [prod2]

Instrument response function [South_50h]

Model [test.xml]

#3 - 10/06/2016 04:41 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#4 - 02/26/2017 08:42 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- % Done changed from 0 to 100

I run ctobssim on the test data and with the current code in devel there seems to be no problem. For the record, here the output in the log file:

2017-02-26T19:40:39: +======================+

2017-02-26T19:40:39: | Simulate observation |

2017-02-26T19:40:39: +======================+

2017-02-26T19:40:39: === CTA observation ===

2017-02-26T19:40:39:  Simulation cone ...........: RA=128.75 deg, Dec=-45.6 deg, radius=4 deg

2017-02-26T19:40:39:  Time interval .............: 0 - 191160 s

2017-02-26T19:40:39:  Photon energy range .......: 100 GeV - 199.526231496888 GeV

2017-02-26T19:40:39:  Event energy range ........: 100 GeV - 199.526231496888 GeV

2017-02-26T19:40:39:   Simulation area ..........: 5.07673e+09 cm2

2017-02-26T19:40:39:   Use model ................: _2FGLJ0835.3-4510

2017-02-26T19:40:39:   Normalization ............: 1 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   Flux .....................: 1.50079e-11 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Normalized flux ..........: 1.50079e-11 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Photon rate ..............: 0.076191 photons/s [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source photons ........: 14566 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 5019 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 5019 (all source models)

2017-02-26T19:40:39:  Photon energy range .......: 199.526231496888 GeV - 398.107170553497 GeV

2017-02-26T19:40:39:  Event energy range ........: 199.526231496888 GeV - 398.107170553497 GeV

2017-02-26T19:40:39:   Simulation area ..........: 7.90186e+09 cm2

2017-02-26T19:40:39:   Use model ................: _2FGLJ0835.3-4510

2017-02-26T19:40:39:   Normalization ............: 1 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   Flux .....................: 1.12705e-11 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Normalized flux ..........: 1.12705e-11 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Photon rate ..............: 0.089058 photons/s [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source photons ........: 17198 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 6368 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 6368 (all source models)

2017-02-26T19:40:39:  Photon energy range .......: 398.107170553497 GeV - 794.328234724282 GeV

2017-02-26T19:40:39:  Event energy range ........: 398.107170553497 GeV - 794.328234724282 GeV

2017-02-26T19:40:39:   Simulation area ..........: 1.42113e+10 cm2

2017-02-26T19:40:39:   Use model ................: _2FGLJ0835.3-4510

2017-02-26T19:40:39:   Normalization ............: 1 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   Flux .....................: 8.3795e-12 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Normalized flux ..........: 8.3795e-12 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Photon rate ..............: 0.119083 photons/s [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source photons ........: 22663 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 7730 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 7730 (all source models)

2017-02-26T19:40:39:  Photon energy range .......: 794.328234724282 GeV - 1.58489319246111 TeV

2017-02-26T19:40:39:  Event energy range ........: 794.328234724282 GeV - 1.58489319246111 TeV

2017-02-26T19:40:39:   Simulation area ..........: 2.52128e+10 cm2

2017-02-26T19:40:39:   Use model ................: _2FGLJ0835.3-4510

2017-02-26T19:40:39:   Normalization ............: 1 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   Flux .....................: 6.10702e-12 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Normalized flux ..........: 6.10702e-12 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Photon rate ..............: 0.153975 photons/s [_2FGLJ0835.3-4510]
2017-02-26T19:40:39:   MC source photons ........: 29705 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 10617 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 10617 (all source models)

2017-02-26T19:40:39:  Photon energy range .......: 1.58489319246111 TeV - 3.16227766016838 TeV

2017-02-26T19:40:39:  Event energy range ........: 1.58489319246111 TeV - 3.16227766016838 TeV

2017-02-26T19:40:39:   Simulation area ..........: 3.90561e+10 cm2

2017-02-26T19:40:39:   Use model ................: _2FGLJ0835.3-4510

2017-02-26T19:40:39:   Normalization ............: 1 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   Flux .....................: 4.27777e-12 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Normalized flux ..........: 4.27777e-12 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Photon rate ..............: 0.167073 photons/s [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source photons ........: 31963 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 12028 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 12028 (all source models)

2017-02-26T19:40:39:  Photon energy range .......: 3.16227766016838 TeV - 6.30957344480193 TeV

2017-02-26T19:40:39:  Event energy range ........: 3.16227766016838 TeV - 6.30957344480193 TeV

2017-02-26T19:40:39:   Simulation area ..........: 5.86488e+10 cm2

2017-02-26T19:40:39:   Use model ................: _2FGLJ0835.3-4510

2017-02-26T19:40:39:   Normalization ............: 1 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   Flux .....................: 2.77004e-12 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Normalized flux ..........: 2.77004e-12 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Photon rate ..............: 0.16246 photons/s [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source photons ........: 31047 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 11880 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 11880 (all source models)

2017-02-26T19:40:39:  Photon energy range .......: 6.30957344480193 TeV - 12.5892541179417 TeV

2017-02-26T19:40:39:  Event energy range ........: 6.30957344480193 TeV - 12.5892541179417 TeV

2017-02-26T19:40:39:   Simulation area ..........: 7.79872e+10 cm2

2017-02-26T19:40:39:   Use model ................: _2FGLJ0835.3-4510

2017-02-26T19:40:39:   Normalization ............: 1 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   Flux .....................: 1.53688e-12 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Normalized flux ..........: 1.53688e-12 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Photon rate ..............: 0.119857 photons/s [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source photons ........: 22788 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 9471 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 9471 (all source models)

2017-02-26T19:40:39:  Photon energy range .......: 12.5892541179417 TeV - 25.1188643150958 TeV

2017-02-26T19:40:39:  Event energy range ........: 12.5892541179417 TeV - 25.1188643150958 TeV

2017-02-26T19:40:39:   Simulation area ..........: 8.03724e+10 cm2

2017-02-26T19:40:39:   Use model ................: _2FGLJ0835.3-4510

2017-02-26T19:40:39:   Normalization ............: 1 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   Flux .....................: 6.31757e-13 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Normalized flux ..........: 6.31757e-13 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Photon rate ..............: 0.0507759 photons/s [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source photons ........: 9701 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 4511 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 4511 (all source models)

2017-02-26T19:40:39:  Photon energy range .......: 25.1188643150958 TeV - 50.1187233627271 TeV

2017-02-26T19:40:39:  Event energy range ........: 25.1188643150958 TeV - 50.1187233627271 TeV

2017-02-26T19:40:39:   Simulation area ..........: 8.13586e+10 cm2

2017-02-26T19:40:39:   Use model ................: _2FGLJ0835.3-4510

2017-02-26T19:40:39:   Normalization ............: 1 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   Flux .....................: 1.47142e-13 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Normalized flux ..........: 1.47142e-13 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Photon rate ..............: 0.0119713 photons/s [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source photons ........: 2284 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 1051 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 1051 (all source models)

2017-02-26T19:40:39:  Photon energy range .......: 50.1187233627271 TeV - 100 TeV

2017-02-26T19:40:39:  Event energy range ........: 50.1187233627271 TeV - 100 TeV

2017-02-26T19:40:39:   Simulation area ..........: 8.13586e+10 cm2

2017-02-26T19:40:39:   Use model ................: _2FGLJ0835.3-4510

2017-02-26T19:40:39:   Normalization ............: 1 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   Flux .....................: 1.2087e-14 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Normalized flux ..........: 1.2087e-14 [_2FGLJ0835.3-4510] photons/cm2/s

2017-02-26T19:40:39:   Photon rate ..............: 0.000983383 photons/s [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source photons ........: 173 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 93 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:   MC source events .........: 93 (all source models)

2017-02-26T19:40:39:  MC source photons .........: 182088 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:  MC source events ..........: 68768 [_2FGLJ0835.3-4510]

2017-02-26T19:40:39:  MC events .................: 68768 (all models)
#5 - 02/26/2017 08:43 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

Files

test.xml 1.44 KB 07/06/2015 Burtovoi Aleksandr

VelaX.fits 45 KB 07/06/2015 Burtovoi Aleksandr
